Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001062 [Piwigo] photos feature N/A 2009.07.18 22:10 2011.01.19 15:52
Reporter plg View Status public  
Assigned To plg
Priority high Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.2.0RC1 Product Version 2.0.3
  Target Version 2.2.0RC1 Product Build
Summary 0001062: delete a photo from its administration screen
Description Currently, we can remove photos added with pwg.images.add from the bulk manager. It would be so obvious to make this action possible from admin/picture_modify.php.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0004670)
plg (manager)
2011.01.19 15:11

This issue has been opened for a long time. There is a major problem with it: where to redirect the administrator once the photo is deleted?
(0004672)
svn (reporter)
2011.01.19 15:51

[Subversion] r8764 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1062 added: ability to delete a single photo from its administration
screen
(0004673)
plg (manager)
2011.01.19 15:52

> where to redirect the administrator once the photo is deleted?

Here is what I implemented :

// where to redirect the user now?
//
// 1. if a category is available in the URL, use it
// 2. else use the first reachable linked category
// 3. redirect to gallery root

- Issue History
Date Modified Username Field Change
2009.07.18 22:10 plg New Issue
2009.07.18 22:10 plg Status new => assigned
2009.07.18 22:10 plg Assigned To => plg
2009.07.18 22:10 plg browser => any
2009.07.18 22:10 plg Web server => Apache 1.3.x
2010.04.14 17:46 plg Priority normal => high
2010.04.14 17:46 plg Fixed in Version => 2.1.0RC3
2010.05.08 00:24 plg Fixed in Version 2.1.0RC3 =>
2010.05.08 00:24 plg Target Version 2.0.4 => 2.1.1
2010.07.26 00:51 plg Target Version 2.1.1 => 2.1.3
2011.01.19 15:10 plg Description Updated
2011.01.19 15:10 plg Target Version 2.1.3 => 2.2.0RC1
2011.01.19 15:11 plg Note Added: 0004670
2011.01.19 15:51 svn Checkin
2011.01.19 15:51 svn Note Added: 0004672
2011.01.19 15:52 plg Note Added: 0004673
2011.01.19 15:52 plg Status assigned => closed
2011.01.19 15:52 plg Resolution open => fixed
2011.01.19 15:52 plg Fixed in Version => 2.2.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker